import { defineEventHandler, getCookie, createError } from 'h3';
import si from 'systeminformation';
import {checkValidJwtToken} from "~/core/command_auth";
import {CPU, RAM} from "promstats";

export default defineEventHandler(async (event) => {
    try {
        //console.log("metrics called")
        return {
            cpu: {
                load: await CPU.getCpuLoad(),
                maxClock: await CPU.getMaxCpuClockGHz(),
                minClock: await CPU.getMinCpuClockGHz(),
                currentClock: await CPU.getCurrentCpuClockGHz(),
                temp: await CPU.getAverageTemp(),
            },
            ram:{
                used: await RAM.getUsedMemory(),
                total: await RAM.getTotalMemory()
            }
        }

    } catch (error) {
        console.error('Error fetching CPU info:', error);
    }
});
