import si from 'systeminformation';
import {checkValidJwtToken} from "~/core/command_auth";
import { defineEventHandler, getCookie, createError } from 'h3';
import {System} from "promstats";
export default defineEventHandler(async (event) => {
    try {
        const body = await readBody(event);
        const { token } = body;
        checkValidJwtToken(token)
        const osName = await System.getOsName();
        const osVersion = await System.getKernelVersion();
        const osArch = await System.getMachineArchitecture()

        return {
            name: osName,
            version: osVersion,
            arch: osArch,
        };

    } catch (error) {
        console.error('Error fetching CPU info:', error);
    }
});
